/*
 * CSVFileFilter.java
 *
 * Created on 2007/01/27, 6:07
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 * ----------
 * 
 * Copyright (C) 2007-2011 Yoshitaka Ohsawa All rights reserved.
 * This is free software with ABSOLUTELY NO WARRANTY.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA
 * 
 * ----------
 */

package to.tetramorph.util;

import java.io.File;
import javax.swing.filechooser.FileFilter;
import to.tetramorph.util.*;
/**
 * JFileChooserに使用するファイルフィルターでCSVの拡張子をもったものだけ通す。
 */
public class XMLFileFilter extends FileFilter{
  
    /** 
     * あたえられたファイル名が"*.csv"ならば真を違うなら偽を返す。大文字小文字の
     * 区別なしに判定される。
     */
    public boolean accept( File f ) {
        if ( f.isDirectory() ) return true;
        String ext = FileFilterUtils.getExtension( f );
        if ( ext == null ) return false;
        return ext.equals("xml");
        //return f.toString().toLowerCase().endsWith(".xml");
    }
    /**
     * このフィルタの説明を返す。"XML Document"と返る。
     */
    public String getDescription() {
        return "XML Document";
    }
  
}
