/*
 * TestProgram.java
 *
 * Created on 2008/01/18, 4:06
 *
 * ----------
 * 
 * Copyright (C) 2007-2011 Yoshitaka Ohsawa All rights reserved.
 * This is free software with ABSOLUTELY NO WARRANTY.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA
 * 
 * ----------
 */

package to.tetramorph.kyuureki;

import java.util.Calendar;
import java.util.GregorianCalendar;

/**
 * KansiKyuuseiAlmanacのテストプログラム。
 * @author 大澤義鷹
 */
class TestProgram {
    
    /**  TestProgram オブジェクトを作成する */
    public TestProgram() {
    }
    static GregorianCalendar cal(int year,int month,int day,int hh,int mm) {
        GregorianCalendar cal = new GregorianCalendar(year,month-1,day,hh,mm,0);
        cal.set(Calendar.MILLISECOND,0);
        return cal;
    }
    static void echo(GregorianCalendar cal,String answer) {
        Kansi kansi = new Kansi();
        KansiKyuuseiAlmanac.getValue(cal,kansi);
        String date = String.format("%tY/%tm/%td %tT",cal,cal,cal,cal);
        System.out.println(date);
        System.out.println("\t" + kansi);
        System.out.println("\t" + answer );
    }
       //GregorianCalendar cal = new GregorianCalendar(1744,5-1,28,12,0,0);
       //GregorianCalendar cal = new GregorianCalendar(1905,11-1,21,12,0,0);
       //GregorianCalendar cal = new GregorianCalendar(1916,11-1,23,12,0,0);
    public static void main(String [] args) {
        echo( cal(1987,2,4,17,51), "年 = 丙寅,月 = 辛丑,日 = 甲申,時 = 癸酉");
        echo( cal(1913,2,4,10,35), "年 = 壬子,月 = 癸丑,日 = 丙辰,時 = 癸巳");
        echo( cal(1963,5,10,23,30),"年 = 癸卯,月 = 丁巳,日 = 甲寅,時 = 甲子");
        echo( cal(1987,9,28,9,15), "年 = 丁卯,月 = 己酉,日 = 庚辰,時 = 辛巳");
        echo( cal(1964,9,30,5,35), "年 = 甲辰,月 = 癸酉,日 = 壬午,時 = 癸卯");
        echo( cal(1926,2, 7,12,0),"");
        echo( cal(1744,5,28,12,0),"");
        echo( cal(1905,11,21,12,0),"");
        echo( cal(1916,11,23,12,0),"");
        
    }
}
