/*
 * KyuurekiDay.java
 *
 * Created on 2008/01/28, 9:21
 *
 * ----------
 * 
 * Copyright (C) 2007-2011 Yoshitaka Ohsawa All rights reserved.
 * This is free software with ABSOLUTELY NO WARRANTY.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA
 * 
 * ----------
 */

package to.tetramorph.kyuureki;

import to.tetramorph.kyuureki.KyuurekiDate;

/**
 * KyuurekiTest4が使用するクラスで、親クラスのフィールドに加えて、
 * グレゴリオ暦の日のフィールドを持っている。
 * グレゴリオ暦のフィールドはKyuureki#getKyuurekiDateのときに、
 * 正しく変換できているかを確認するのに使う。
 * @author 大澤義鷹
 */
public class KyuurekiDay extends KyuurekiDate {
    int gdate;
    /**  KyuurekiDay オブジェクトを作成する */
    public KyuurekiDay(int gdate,int year,boolean leap,int month,int day) {
        super(year,leap,month,day);
        this.gdate = gdate;
    }
}
